import * as plugins from '../plugins.js';
/**
 * TypedRequest controller for type-safe RPC endpoint
 */
export declare class TypedRequestController {
    private typedRouter;
    constructor(typedRouter: plugins.typedrequest.TypedRouter);
    handleTypedRequest(ctx: plugins.smartserve.IRequestContext): Promise<Response>;
    handleTypedRequestHead(): Promise<Response>;
}
